- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Models::CCA::CCATransition Class Reference

`#include <CCATransition.h>`

Inheritance diagram for Mers::Models::CCA::CCATransition:

[legend]
Collaboration diagram for Mers::Models::CCA::CCATransition:

[legend]
List of all members.

## Public Member Functions
| CCATransition ()
| CCATransition (const CCAState &from_state, const CCAState &to_state, const CCAClause &guard, double probability=0.0)
| CCATransition (const CCATransition &other)
| ~CCATransition ()
const CCAAutomaton * | automaton_p () const
const CCAAutomata * | ccAutomata_p () const
const CCAModel * | model_p () const
bool | set_from_state_p (const CCAState &_state)
const CCAState * | from_state_p () const
bool | set_to_state_p (const CCAState &_state)
const CCAState * | to_state_p () const
bool | set_guard (const CCAClause &guard)
const CCAClause * | guard_p () const
double | probability () const
void | setProbability (double prob)
void | setUID (unsigned int newUID)
unsigned int | getUID () const
void | print (std::ostream &out) const
const CCATransition & | operator= (const CCATransition &other)
bool | operator== (const CCATransition &other) const
bool | operator!= (const CCATransition &other) const

## Detailed Description

A CCATransition Class.

Author:
  Seung H. Chung

Definition at line 39 of file CCATransition.h.

## Member Function Documentation

void Mers::Models::CCA::CCATransition::setProbability | ( | double | prob | ) | `[inline]`

Sets the probability of this transition.

Parameters:

  | prob | the new probability of this transition

Definition at line 69 of file CCATransition.h.

void CCATransition::setUID | ( | unsigned int | newUID | ) |

Sets the UID of this automaton, which is also it's index in its parent CCAAutomata.

Parameters:

  | newUID | the new UID of this automaton

Definition at line 145 of file CCATransition.cpp.

Referenced by Mers::Models::CCA::CCATransitions::pushBack().

unsigned int CCATransition::getUID | ( |  | ) | const

Returns the unique identifier of this automaton.

Definition at line 152 of file CCATransition.cpp.

void CCATransition::print | ( | std::ostream & | out | ) | const`[virtual]`

Prints out the CCA Transition.

Parameters:

  | out | the ostream being written to

Implements Mers::Utils::Lang::BaseModelObject.

Definition at line 161 of file CCATransition.cpp.

References from_state_p(), guard_p(), Mers::Models::CCA::CCAState::name(), probability(), and to_state_p().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Models/CCA/CCATransition.h
- /Users/fpy/titan-1-5-MBARI/Mers/Models/CCA/CCATransition.cpp